2017-11-20 21:55 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000130Cheat Enginepublic2009-08-22 12:43
ReporterCsimbi 
Assigned ToDark Byte 
PrioritynormalSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
Summary0000130: CE 5.5 wrong code assembled results in crash
DescriptionHere is the original code that I intend to NOP in auto assemble:
01774B14 - 0f 28 c2 - movaps xmm0,xmm2
01774B17 - f3 0f 5c c8 - repe subss xmm1,xmm0 <- watch this line
01774B1B - f3 0f 11 46 0c - movss [esi+0c],xmm0
Once I enable the code in auto assemble, it's NOPed out, but when I disable the hack, CE restores this code:
01774B14 - 0f 28 c2 - movaps xmm0,xmm2
01774B17 - f3 f3 0f 5c c8 - repe subss xmm1,xmm0 <- binary code differs (1 byte longer)
01774B1C - 0f 11 46 0c - movups [esi+0c],xmm0 <- messing up the next instruction
Additional InformationPlease ask if you need any.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0000278

Dark Byte (developer)

fixed in svn
+Notes

-Issue History
Date Modified Username Field Change
2009-07-24 00:09 Csimbi New Issue
2009-07-25 16:00 Dark Byte Status new => confirmed
2009-08-22 12:43 Dark Byte Note Added: 0000278
2009-08-22 12:43 Dark Byte Status confirmed => resolved
2009-08-22 12:43 Dark Byte Resolution open => fixed
2009-08-22 12:43 Dark Byte Assigned To => Dark Byte
+Issue History